Overview | Modules | Class Hierarchy | Classes | Members

# tlp::AlgorithmContext Class Reference
[Plugins]

`#include <PluginContext.h>`

Collaboration diagram for tlp::AlgorithmContext:

[legend]
List of all members.

## Detailed Description

Parameter for calling clustering plugins.

## Public Member Functions

- AlgorithmContext ()
- ~AlgorithmContext ()

## Public Attributes

- Graph * graph
- PluginProgress * pluginProgress
- DataSet * dataSet

## Constructor & Destructor Documentation

tlp::AlgorithmContext::AlgorithmContext | ( |  | ) | `[inline]`

tlp::AlgorithmContext::~AlgorithmContext | ( |  | ) | `[inline]`

## Member Data Documentation

DataSet* tlp::AlgorithmContext::dataSet

Graph* tlp::AlgorithmContext::graph

PluginProgress* tlp::AlgorithmContext::pluginProgress

Tulip Software by LaBRI Visualization Team 2001 - 2010